Public Member Functions | Static Public Member Functions | Related Functions

# Gio::ProxyResolver Class Reference

ProxyResolver - Asynchronous and cancellable network proxy resolver. More...

`#include <giomm/proxyresolver.h>`

Inheritance diagram for Gio::ProxyResolver:
[legend]

List of all members.

## Public Member Functions
virtual | ~ProxyResolver ()
GProxyResolver* | gobj ()
| Provides access to the underlying C GObject.
const GProxyResolver* | gobj () const
| Provides access to the underlying C GObject.
bool | is_supported () const
Glib::StringArrayHandle | lookup (const Glib::ustring& uri, const Glib::RefPtr< Cancellable >& cancellable)
Glib::StringArrayHandle | lookup (const Glib::ustring& uri)
void | lookup_async (const Glib::ustring& uri, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable)
void | lookup_async (const Glib::ustring& uri, const SlotAsyncReady& slot)
Glib::StringArrayHandle | lookup_finish (const Glib::RefPtr< AsyncResult >& result)
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static Glib::RefPtr < ProxyResolver > | get_default ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::ProxyResolver > | wrap (GProxyResolver* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

ProxyResolver - Asynchronous and cancellable network proxy resolver.

ProxyResolver provides synchronous and asynchronous network proxy resolution. ProxyResolver is used within ClientSocket through the method Gio::SocketConnectable::proxy_enumerate().

Since glibmm 2.28:

## Constructor & Destructor Documentation

virtual Gio::ProxyResolver::~ProxyResolver | ( | ) | `[virtual]`

## Member Function Documentation

static void Gio::ProxyResolver::add_interface | ( | GType | gtype_implementer ) | `[static]`

static Glib::RefPtr<ProxyResolver> Gio::ProxyResolver::get_default | ( | ) | `[static]`

GProxyResolver* Gio::ProxyResolver::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

const GProxyResolver* Gio::ProxyResolver::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

bool Gio::ProxyResolver::is_supported | ( | ) | const

Glib::StringArrayHandle Gio::ProxyResolver::lookup | ( | const Glib::ustring& | uri ) |

Glib::StringArrayHandle Gio::ProxyResolver::lookup | ( | const Glib::ustring& | uri,
|  | const Glib::RefPtr< Cancellable >& | cancellable
| ) |  |

void Gio::ProxyResolver::lookup_async | ( | const Glib::ustring& | uri,
|  | const SlotAsyncReady & | slot,
|  | const Glib::RefPtr< Cancellable >& | cancellable
| ) |  |

void Gio::ProxyResolver::lookup_async | ( | const Glib::ustring& | uri,
|  | const SlotAsyncReady & | slot
| ) |  |

Glib::StringArrayHandle Gio::ProxyResolver::lookup_finish | ( | const Glib::RefPtr< AsyncResult >& | result ) |

## Friends And Related Function Documentation

Glib::RefPtr< Gio::ProxyResolver > wrap | ( | GProxyResolver * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.